<?xml version="1.0" encoding="utf-8" ?>
<log4net>
	<!--调试日志类-->
	<logger name="logdebug">
		<level value="DEBUG" />
		<appender-ref ref="RollingFileDebug" />
	</logger>
	<!--信息日志类-->
	<logger name="loginfo">
		<level value="INFO" />
		<appender-ref ref="RollingFileInfo" />
	</logger>
	<!--错误日志类-->
	<logger name="logerror">
		<level value="ERROR" />
		<appender-ref ref="RollingFileError" />
	</logger>
	<!--特殊自定义类-->
	<logger name="eftinfo">
		<level value="INFO" />
		<appender-ref ref="RollingFileEftInfo" />
	</logger>

	<!--job日志类-->
	<logger name="logjob">
		<level value="INFO" />
		<appender-ref ref="RollingFileJob" />
	</logger>

	<!-- Debug 将日志以回滚文件的形式写到文件中 -->
	<appender name="RollingFileDebug" type="log4net.Appender.RollingFileAppender" >
		<!-- 日志文件存放位置，可以为绝对路径也可以为相对路径 -->
		<file value="Log/" />
		<!-- 日志文件的命名规则 -->
		<datePattern value="yyyy-MM-dd/'Debug.log'"/>
		<!--不加utf-8编码格式，中文字符将显示成乱码-->
		<param name="Encoding" value="utf-8" />
		<!-- 将日志信息追加到已有的日志文件中-->
		<appendToFile value="true" />
		<rollingStyle value="Size" />
		<maxSizeRollBackups value="100" />
		<maximumFileSize value="1MB" />
		<!-- 指定按日期切分日志文件 -->
		<rollingStyle value="Date"/>
		<!-- 当将日期作为日志文件的名字时，必须将staticLogFileName的值设置为false -->
		<staticLogFileName value="false" />
		<!-- 最小锁定模式，以允许多个进程可以写入同一个文件 -->
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value=" &#13;&#10; &#13;&#10;[LOG TIME]： %d [THREAD ID]： %thread &#13;&#10;[LOG LEVEL]： %-5p &#13;&#10;[LOG TAGERT]：%logger &#13;&#10;[CONTENT]：%m &#13;&#10; " />
		</layout>
		<filter type="log4net.Filter.LevelRangeFilter">
			<param name="LevelMin" value="Debug" />
			<param name="LevelMax" value="Debug" />
		</filter>
	</appender>

	<!-- Info 将日志以回滚文件的形式写到文件中 -->
	<appender name="RollingFileInfo" type="log4net.Appender.RollingFileAppender" >
		<!-- 日志文件存放位置，可以为绝对路径也可以为相对路径 -->
		<file value="Log/" />
		<!-- 日志文件的命名规则 -->
		<datePattern value="yyyy-MM-dd/'Info.log'"/>
		<!--不加utf-8编码格式，中文字符将显示成乱码-->
		<param name="Encoding" value="utf-8" />
		<!-- 将日志信息追加到已有的日志文件中-->
		<appendToFile value="true" />
		<rollingStyle value="Size" />
		<maxSizeRollBackups value="100" />
		<maximumFileSize value="1MB" />
		<!-- 指定按日期切分日志文件 -->
		<rollingStyle value="Date"/>
		<!-- 当将日期作为日志文件的名字时，必须将staticLogFileName的值设置为false -->
		<staticLogFileName value="false" />
		<!-- 最小锁定模式，以允许多个进程可以写入同一个文件 -->
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value=" &#13;&#10; &#13;&#10;[LOG TIME]：%d [THREAD ID]：%thread &#13;&#10;[LOG LEVEL]：%-5p &#13;&#10;[LOG TAGERT]：%logger &#13;&#10;[CONTENT]：%m &#13;&#10; " />
		</layout>
		<filter type="log4net.Filter.LevelRangeFilter">
			<param name="LevelMin" value="Info" />
			<param name="LevelMax" value="Info" />
		</filter>
	</appender>

	<!-- Error 将日志以回滚文件的形式写到文件中 -->
	<appender name="RollingFileError" type="log4net.Appender.RollingFileAppender" >
		<!-- 日志文件存放位置，可以为绝对路径也可以为相对路径 -->
		<file value="Log/" />
		<!-- 日志文件的命名规则 -->
		<datePattern value="yyyy-MM-dd/'Error.log'"/>
		<!--不加utf-8编码格式，中文字符将显示成乱码-->
		<param name="Encoding" value="utf-8" />
		<!-- 将日志信息追加到已有的日志文件中-->
		<appendToFile value="true" />
		<rollingStyle value="Size" />
		<maxSizeRollBackups value="100" />
		<maximumFileSize value="1MB" />
		<!-- 指定按日期切分日志文件 -->
		<rollingStyle value="Date"/>
		<!-- 当将日期作为日志文件的名字时，必须将staticLogFileName的值设置为false -->
		<staticLogFileName value="false" />
		<!-- 最小锁定模式，以允许多个进程可以写入同一个文件 -->
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value=" &#13;&#10; &#13;&#10;[LOG TIME]：%d [THREAD ID]：%thread &#13;&#10;[LOG LEVEL]：%-5p &#13;&#10;[LOG TAGERT]：%logger &#13;&#10;[CONTENT]：%m &#13;&#10; " />
		</layout>
		<filter type="log4net.Filter.LevelRangeFilter">
			<param name="LevelMin" value="Error" />
			<param name="LevelMax" value="Error" />
		</filter>
	</appender>



	<!-- Eft Info 将日志以回滚文件的形式写到文件中 -->
	<appender name="RollingFileEftInfo" type="log4net.Appender.RollingFileAppender" >
		<!-- 日志文件存放位置，可以为绝对路径也可以为相对路径 -->
		<file value="Log/" />
		<!-- 日志文件的命名规则 -->
		<datePattern value="yyyy-MM-dd/'EftInfo.log'"/>
		<!--不加utf-8编码格式，中文字符将显示成乱码-->
		<param name="Encoding" value="utf-8" />
		<!-- 将日志信息追加到已有的日志文件中-->
		<appendToFile value="true" />
		<rollingStyle value="Size" />
		<maxSizeRollBackups value="100" />
		<maximumFileSize value="1MB" />
		<!-- 指定按日期切分日志文件 -->
		<rollingStyle value="Date"/>
		<!-- 当将日期作为日志文件的名字时，必须将staticLogFileName的值设置为false -->
		<staticLogFileName value="false" />
		<!-- 最小锁定模式，以允许多个进程可以写入同一个文件 -->
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value=" &#13;&#10; &#13;&#10;[LOG TIME]：%d [THREAD ID]：%thread &#13;&#10;[CONTENT]：%m &#13;&#10; " />
		</layout>
		<filter type="log4net.Filter.LevelRangeFilter">
			<param name="LevelMin" value="Info" />
			<param name="LevelMax" value="Info" />
		</filter>
	</appender>

	<!-- Job 将日志以回滚文件的形式写到文件中 -->
	<appender name="RollingFileJob" type="log4net.Appender.RollingFileAppender" >
		<!-- 日志文件存放位置，可以为绝对路径也可以为相对路径 -->
		<file value="Log/" />
		<!-- 日志文件的命名规则 -->
		<datePattern value="yyyy-MM-dd/'Job.log'"/>
		<!-- 将日志信息追加到已有的日志文件中-->
		<appendToFile value="true" />
		<rollingStyle value="Size" />
		<maxSizeRollBackups value="100" />
		<maximumFileSize value="1MB" />
		<!-- 指定按日期切分日志文件 -->
		<rollingStyle value="Date"/>
		<!-- 当将日期作为日志文件的名字时，必须将staticLogFileName的值设置为false -->
		<staticLogFileName value="false" />
		<!-- 最小锁定模式，以允许多个进程可以写入同一个文件 -->
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value=" &#13;&#10; &#13;&#10;[LOG TIME]：%d [THREAD ID]：%thread &#13;&#10;[LOG LEVEL]：%-5p &#13;&#10;[LOG TAGERT]：%logger &#13;&#10;[CONTENT]：%m &#13;&#10; " />
		</layout>
		<filter type="log4net.Filter.LevelRangeFilter">
			<param name="LevelMin" value="Info" />
			<param name="LevelMax" value="Info" />
		</filter>
	</appender>

</log4net>